CREATE TABLE IF NOT EXISTS "t_PurchaseInAdvance_extention" (
"ID" integer NOT NULL PRIMARY KEY,
"CreateId" integer,
"LeaseStartDate" VARCHAR(8)	,
"LeaseEndDate" VARCHAR(8)	,
"OppStage" VARCHAR(50)	,
"OppStatus" VARCHAR(50)	,
"ProjectIndustry" VARCHAR(50)	,
"TradeInDivisionInfo_Exch" VARCHAR(1000)	,
"FirstPayPrepState" VARCHAR(50)	,
"CustReqPriceFlg" VARCHAR(50)	,
"CustReqPrice" NUMERIC(12,2)	,
"Deposit" VARCHAR(50)	,
"SignContract" VARCHAR(50)	,
"RptProgress" VARCHAR(50)	,
"Competitor_Maker_Sub__c" VARCHAR(50)	,
"OppMemo" VARCHAR(1000)	,
"ProjectQuantities" VARCHAR(255)	,
"ProgProgress" VARCHAR(50)	,
"TripartiteTechExchMeeting" VARCHAR(50)	,
"CompetitiorType_RptDesc_c" VARCHAR(50)	,
"OppDeliveryDivision__c" VARCHAR(50)	
);

CREATE TABLE IF NOT EXISTS t_area_mapp (
  ID integer primary key autoincrement ,
  areaId integer(10),
  area char(20),
  fatherId tinyint(10),
  last_select tinyint(10)
);


CREATE TABLE IF NOT EXISTS "t_CollectCall_mapp" (
"ID"  INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
"CustomerId"  INTEGER,
"CustomerName"  VARCHAR(255),
"MobilePhone"  VARCHAR(50),
"TEL_1"  VARCHAR(50),
"TEL_2"  VARCHAR(50),
"ValidateStatus"  tinyint,
"ModifyDate"  datetime,
"SyncFlag"  tinyint,
"SortKey"  VARCHAR(10)
);


CREATE TABLE IF NOT EXISTS "t_CustomerInfo_mapp" (
"ID"  INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
"CreateId"  INTEGER,
"CreateDate"  datetime,
"ModifyDate"  datetime,
"SendFlag"  tinyint,
"AccountName"  VARCHAR(255),
"MobilePhone_c"  VARCHAR(50),
"Address_1_1_c"  VARCHAR(20),
"Address_1_2_c"  VARCHAR(20),
"Address_1_3_c"  VARCHAR(20),
"Address_1_4_c"  VARCHAR(200),
"DeliveryDivision_c"  tinyint,
"AccountType_c"  tinyint,
"Probability_c"  tinyint,
"Significance_c"  tinyint,
"Expection_c"  tinyint,
"Industry_Custom_main_c"  tinyint,
"StartYear_SH_c"  VARCHAR(10),
"Description"  VARCHAR(2000),
"SortKey"  VARCHAR(10),
"MainCharge_c"  VARCHAR(100),
"DelFlag"  tinyint(10) NOT NULL DEFAULT 0,
"AccountClass_c"  VARCHAR(100)
);


CREATE TABLE IF NOT EXISTS "t_CustomerRelation_mapp" (
	 "ID" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
	 "C_ID" INTEGER,
	 "CreateId" INTEGER,
	 "OldCustomerId" VARCHAR(20,0),
	 "CustomerId" INTEGER,
	 "CreateDate" datetime,
	 "ModifyDate" datetime,
	 "RelateManName_c" VARCHAR(255,0),
	 "RelationType_c" tinyint,
	 "MobilePhone_c" VARCHAR(50,0),
	 "Comments_c" VARCHAR(2000,0),
	 "SaveDate" datetime
);


CREATE TABLE IF NOT EXISTS "t_Customer_mapp" (
"ID"  integer PRIMARY KEY AUTOINCREMENT,
"CreateDate"  datetime,
"CreateId"  tinyint(10),
"AccountName"  char(255),
"MobilePhone_c"  char(50),
"Address_1_1_c"  VARCHAR(20),
"Address_1_2_c"  tinyint(10),
"Address_1_3_c"  tinyint(10),
"Address_1_4_c"  char(200),
"DeliveryDivision_c"  tinyint(10),
"AccountType_c"  tinyint(10),
"Probability_c"  tinyint(10),
"Significance_c"  tinyint(10),
"Expection_c"  tinyint(10),
"Industry_Custom_main_c"  tinyint(10),
"StartYear_SH_c"  char(10),
"Description"  char(2000),
"SendFlag"  tinyint(10)
);


CREATE TABLE IF NOT EXISTS "t_evaluate" (
"Evaluate_Id"  VARCHAR(32) NOT NULL,
"Evaluate_Code"  VARCHAR(40),
"OwnMachine_CreateId"  INTEGER NOT NULL,
"Customer_CreateId"  INTEGER NOT NULL,
"Customer_Name"  VARCHAR(800) NOT NULL,
"Customer_Tel"  VARCHAR(128),
"Customer_Address"  VARCHAR(1200),
"OwnMachine_Category"  TINYINT NOT NULL,
"OwnMachine_Type"  VARCHAR(100) NOT NULL,
"OwnMachine_TonLevel"  TINYINT,
"OwnMachine_Brand"  TINYINT NOT NULL,
"OwnMachine_PurchasedYear"  VARCHAR(14),
"OwnMachine_Notes"  VARCHAR(2000),
"Chk_Date"  VARCHAR(8),
"Product_Year"  VARCHAR(14),
"Serial_No"  VARCHAR(128),
"Working_Hours"  VARCHAR(10),
"Engine_No"  VARCHAR(128),
"Maker_Code"  VARCHAR(100),
"Maker_Name"  VARCHAR(512),
"OwnMachine_Location"  VARCHAR(1200),
"Agent_Code"  VARCHAR(100),
"Agent_Name"  VARCHAR(512),
"Create_Date"  VARCHAR(14) NOT NULL,
"Create_User_Code"  VARCHAR(80) NOT NULL,
"Create_User_Name"  VARCHAR(512) NOT NULL,
"Up_Date"  VARCHAR(14) NOT NULL,
"Up_User_Code"  VARCHAR(80) NOT NULL,
"Up_Cnt"  TINYINT NOT NULL DEFAULT 0,
"Delegate_UserCode"  VARCHAR(80),
"Delegate_UserName"  VARCHAR(512),
"Del_Flag"  TINYINT(2) DEFAULT 0,
"Price_Saler"  VARCHAR(12),
"Price_Manager"  VARCHAR(12),
"Price_Hcs"  VARCHAR(12),
"Write_Locked"  TINYINT NOT NULL DEFAULT 0,
"Send_Flag"  TINYINT DEFAULT 0,
"Filler1"  VARCHAR(1000),
"Filler2"  VARCHAR(1000),
"Filler3"  VARCHAR(1000),
"Filler4"  VARCHAR(1000),
"Serial_No_State"  VARCHAR(100),
"Product_Year_State"  VARCHAR(100),
"Working_Hours_State"  VARCHAR(100),
"MachineId"  VARCHAR(100),
"Confirmed_OldMc"  VARCHAR(100),
"OriginalOrImport_OldMc"  VARCHAR(100),
"Overall_Evaluation_OldMc"  VARCHAR(100),
PRIMARY KEY ("Evaluate_Id" ASC)
);


CREATE TABLE IF NOT EXISTS "t_evaluate_detail" (
"Evaluate_Detail_Id"  VARCHAR(32) NOT NULL,
"Evaluate_Id"  VARCHAR(32) NOT NULL,
"Group_Code"  VARCHAR(8) NOT NULL,
"Group_Name"  VARCHAR(512),
"Collect_GlobalOrder"  TINYINT,
"Collect_SubOrder"  TINYINT,
"Collect_Type"  VARCHAR(4) NOT NULL,
"Collect_Name"  VARCHAR(512),
"Input_Type"  VARCHAR(4) NOT NULL,
"Input_Size"  TINYINT,
"Val_Code"  VARCHAR(100),
"Val_Name"  VARCHAR(1200),
"Up_Date"  VARCHAR(14) NOT NULL,
"Up_User_Code"  VARCHAR(80) NOT NULL,
"Filler1"  VARCHAR(1000),
"Filler2"  VARCHAR(1000),
"Filler3"  VARCHAR(1000),
PRIMARY KEY ("Evaluate_Detail_Id" ASC)
);


CREATE TABLE IF NOT EXISTS "t_evaluate_detail_type" (
"SHEET_CD"  varchar(4) NOT NULL,
"LAN_CD"  varchar(4),
"GRP_CD"  varchar(4) NOT NULL,
"GRP_NM"  varchar(500) NOT NULL,
"COLLECT_TYPE"  varchar(4) NOT NULL,
"COLLECT_NAME"  varchar(500) NOT NULL,
"FLD_SRT"  varchar(8),
"INPUT_TYPE"  varchar(2) NOT NULL,
"INPUT_SIZE"  int NOT NULL,
"VAL_PARAM"  varchar(400),
"IS_NEEDED"  varchar(1) NOT NULL,
"DEL_FLAG"  varchar(1) NOT NULL,
"UP_DATE"  varchar(14) NOT NULL,
"UP_USER_CODE"  varchar(100) NOT NULL,
"VERSION"  varchar(10),
"FILLER1"  varchar(200),
"FILLER2"  varchar(200),
"FILLER3"  varchar(200),
"FILLER4"  varchar(200),
PRIMARY KEY ("SHEET_CD", "GRP_CD", "COLLECT_TYPE")
);


CREATE TABLE IF NOT EXISTS "t_evaluate_image" (
"Image_Id"  VARCHAR(32) NOT NULL,
"Evaluate_Id"  VARCHAR(32) NOT NULL,
"Group_Code"  VARCHAR(8) NOT NULL,
"Group_Name"  VARCHAR(512),
"Collect_GloableOrder"  TINYINT,
"Collect_SubOrder"  TINYINT,
"Collect_File"  VARCHAR(1200) NOT NULL,
"Up_Date"  VARCHAR(14) NOT NULL,
"Up_User_Id"  VARCHAR(80) NOT NULL,
"Description"  VARCHAR(1200),
"Del_Flag"  TINYINT NOT NULL DEFAULT 0,
"Gps_Location"  VARCHAR(1200),
"Gps_Longitude"  VARCHAR(10),
"Gps_Latitude"  VARCHAR(10),
"Send_Flag"  TINYINT NOT NULL DEFAULT 0,
"Filler1"  VARCHAR(1000),
"Filler2"  VARCHAR(1000),
"Filler3"  VARCHAR(1000),
PRIMARY KEY ("Image_Id" ASC)
);


CREATE TABLE IF NOT EXISTS "t_OwnMachine_mapp" (
"ID"  INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
"C_ID"  INTEGER,
"CreateId"  INTEGER,
"OldCustomerId"  VARCHAR(20),
"CustomerId"  INTEGER,
"CreateDate"  datetime,
"ModifyDate"  datetime,
"Maker_c"  tinyint,
"PurchasedYear_c"  VARCHAR(20),
"ProductType_c"  tinyint,
"Type_c"  VarcHAR(100),
"Syuukei_maker_c"  tinyint,
"TonLevelType_c"  tinyint,
"Comments_c"  VARCHAR(2000),
"SaveDate"  datetime,
"Evaluate_Code"  VARCHAR(40),
"Evaluate_DT"  VARCHAR(14),
"PRICE_MANAGER"  numeric(10,2),
"PRICE_HCS"  numeric(10,2),
"Filler1"  VARCHAR(100),
"Filler2"  VARCHAR(100),
"Filler3"  VARCHAR(100),
"Filler4"  VARCHAR(100),
"Filler5"  VARCHAR(100),
"Filler6"  VARCHAR(100),
"Filler7"  VARCHAR(100),
"Filler8"  VARCHAR(100),
"Filler9"  VARCHAR(100),
"Filler10"  VARCHAR(100),
"Filler11"  VARCHAR(100),
"Filler12"  VARCHAR(100),
"Filler13"  VARCHAR(100),
"Filler14"  VARCHAR(100),
"Evaluate_User_Id"  VARCHAR(20),
"Machine_SN"  VARCHAR(50),
"Machine_SN_Confirmable"  VARCHAR(1),
"Is_Original"  VARCHAR(1),
"Produced_Year"  VARCHAR(4),
"Produced_Year_Confirmable"  VARCHAR(1),
"Working_Hours"  VARCHAR(10),
"Working_Hours_Confirmable"  VARCHAR(1),
"Evaluate_Overall"  VARCHAR(50),
"Is_SecondHand_Machine"  VARCHAR(1)
);


CREATE TABLE IF NOT EXISTS "t_PurchaseInAdvance_mapp" (
"ID"  integer PRIMARY KEY AUTOINCREMENT NOT NULL,
"CreateDate"  datetime,
"CreateId"  integer,
"AccountName"  char(255),
"MobilePhone_c"  char(50),
"Probability_c"  tinyint(10),
"DateOfDelivery_c"  char(10),
"Product_c"  char(100),
"Price_c"  integer,
"CustomerStatus_c"  tinyint(10),
"OldForNewService_c"  tinyint(10),
"Concern_c"  tinyint(10),
"Competitor_c"  tinyint(10),
"Comments_c"  char(2000),
"StaffMember_c"  char(100),
"Salesname_c"  char(100),
"EvaluationComment_c"  char(2000),
"feedback_date_c"  datetime,
"SendFlag"  tinyint(10),
"ReceiverFlag"  tinyint(10),
"PaymentTimes_c"  integer,
"PaymentDivision_c"  tinyint(10),
"ModifyDate"  datetime,
"OldForNewComment"  VARCHAR(2000),
"CompetitorIsExist"  tinyint,
"CompetitorComment"  VARCHAR(2000),
"SFConfirmDate"  DATE,
"SFBrand"  tinyint,
"SFBrandType"  VARCHAR(100),
"SFTonLevelType"  tinyint,
"SFReason"  tinyint,
"SFReasonDescription"  VARCHAR(2000),
"SFMachinePrice"  INTEGER,
"SFPayCondition"  tinyint,
"SFPayTimes"  tinyint,
"SFAdtCondition"  INTEGER,
"SFMachineType"  tinyint,
"isRead"  tinyint,
"CustomerId"  VARCHAR(20)
);


CREATE TABLE IF NOT EXISTS "t_Visit_mapp" (
"ID"  integer PRIMARY KEY AUTOINCREMENT NOT NULL,
"CreateDate"  datetime,
"CreateId"  integer,
"AccountName"  char(255),
"MobilePhone_c"  char(50),
"InterviewedPerson_c"  tinyint(10),
"InterviewedPersonName_c"  char(100),
"InterviewedPersonMobilePhone_c"  char(50),
"Probability_c"  tinyint(10),
"Significance_c"  tinyint(10),
"ContactPurpose_c"  tinyint(10),
"ContactMeans_c"  tinyint(10),
"Comments_c"  varchar(2000),
"DateTime_c"  datetime,
"SendFlag"  tinyint(10),
"P_ID"  INTEGER,
"P_CreateId"  INTEGER,
"SaveDate"  datetime,
"ModifyDate"  datetime,
"SuperiorReply"  VARCHAR(2000),
"ReplyDate"  datetime,
"StaffMember_c"  varchar(100)
);


CREATE TABLE IF NOT EXISTS "t_Work_Bulletin_mapp" (
"Work_Bulletin_ID"  integer PRIMARY KEY AUTOINCREMENT NOT NULL,
"Type"  tinyint(10),
"Day_Bulletin"  char(2000),
"Mouth_Bulletin"  char(2000),
"Create_Time"  datetime,
"Name"  VARCHAR(200),
"Special_Bulletin"  VARCHAR(2000)
);

CREATE TABLE IF NOT EXISTS "t_site_info" (
"Id" varchar(32) NOT NULL ,
"VisitId" int NULL ,
"VisitCreateId" int NULL ,
"VisitAddr" varchar(200) NULL ,
"VisitLogitude" real NULL ,
"VisitLatitude" real NULL ,
"LastLocateTime" datetime NULL ,
"PhotoNames" varchar(500) NULL ,
"CreateDate" datetime NOT NULL ,
"ModifyDate" datetime NOT NULL ,
"ModifyUserId" varchar(100) NOT NULL ,
"DelFlag" varchar(1) NOT NULL DEFAULT ((0)) ,
"Filler1" varchar(200) NULL ,
"Filler2" varchar(200) NULL ,
"Filler3" varchar(200) NULL ,
"Filler4" varchar(200) NULL ,
PRIMARY KEY ("Id" ASC)
);

CREATE TABLE IF NOT EXISTS "t_cust_tags_query" (
"CustomerCreateId" nvarchar(100) NOT NULL ,
"CustomerJyId" nvarchar(100) NULL ,
"TargetInfo" nvarchar(1000) NOT NULL ,
"Filler1" nvarchar(200) NULL ,
"Filler2" nvarchar(200) NULL ,
"CreateDate" datetime NOT NULL ,
"CreateUserId" nvarchar(20) NOT NULL ,
"ModifyDate" datetime NOT NULL ,
"ModifyUserId" nvarchar(20) NOT NULL ,
"DelFlag" char(1) NOT NULL DEFAULT ((0)) ,
PRIMARY KEY ("CustomerCreateId" ASC)
);

CREATE TABLE IF NOT EXISTS "t_cust_tags_set" (
"CustomerCreateId" nvarchar(50) NOT NULL ,
"CustomerJyId" nvarchar(100) NULL ,
"TargetInfo" nvarchar(1000) NOT NULL ,
"ApprovalStatus" nvarchar(1000) NULL ,
"ApprovalUserId" nvarchar(50) NULL ,
"ApprovalDate" datetime NULL ,
"SendFlag" char(1)  NOT NULL DEFAULT ((0)) ,
"Filler1" nvarchar(200) NULL ,
"Filler2" nvarchar(200) NULL ,
"CreateDate" datetime NOT NULL ,
"CreateUserId" nvarchar(50) NOT NULL ,
"ModifyDate" datetime NOT NULL ,
"ModifyUserId" nvarchar(50) NOT NULL ,
"DelFlag" char(1) NOT NULL DEFAULT ((0)) ,
"MainChargeId" nvarchar(50) NULL ,
"MainChargeName" nvarchar(100) NULL ,
PRIMARY KEY ("CustomerCreateId" ASC)
);

CREATE TABLE IF NOT EXISTS "t_evaluate_extention" (
"EVALUATE_ID" varchar(50) NOT NULL PRIMARY KEY,
"ADDRESS_1_1_C" varchar(200),
"ADDRESS_1_2_C" varchar(200),
"ADDRESS_1_3_C" varchar(200),
"ADDRESS_1_4_C" varchar(200),
"EVALUATE_TYPE" varchar(50),
"SITE_TYPE" varchar(5),
"AGENCY_NAME" varchar(200),
"CREATE_DATE" datetime,
"UP_DATE" datetime,
"FILLER1" varchar(200),
"FILLER2" varchar(200),
"FILLER3" varchar(200),
"FILLER4" varchar(200),
"FILLER5" varchar(200),
"FILLER6" varchar(200),
"FILLER7" varchar(200),
"FILLER8" varchar(200),
"FILLER9" varchar(200),
"FILLER10" varchar(200)
);

CREATE TABLE IF NOT EXISTS t_statistics_using_log (
logDateTime datetime not NULL,
logModule varchar(50) not NULL,
logEvent varchar(50) NULL,
uploadFlag varchar(1) NULL
);

alter table t_CustomerInfo_mapp add CreditRating_c tinyint;
alter table t_Visit_mapp add CreditRating_c tinyint;
alter table t_Visit_mapp add Filler1 varchar(200);
alter table t_Visit_mapp add Filler2 varchar(200);
	
alter table t_PurchaseInAdvance_mapp add OFFICE varchar(100);
alter table t_Visit_mapp add EXHIBITIONNAME__C varchar(50);
alter table t_Visit_mapp add EXHIBITIONNAME varchar(80);
alter table t_PurchaseInAdvance_mapp add PRODTYPE varchar(25);
alter table t_CustomerRelation_mapp add ISKEY varchar(1);

alter table t_PurchaseInAdvance_mapp add Product_Spec_c varchar(50);
alter table t_PurchaseInAdvance_mapp add Construction_Site varchar(100);
alter table t_PurchaseInAdvance_mapp add Construction_Content varchar(1000);
alter table t_PurchaseInAdvance_mapp add Change_Reason varchar(1000);
alter table t_PurchaseInAdvance_mapp add Change_Demand varchar(1000);

alter table t_CustomerInfo_mapp add ViceCharge1_c varchar(100);
alter table t_CustomerInfo_mapp add ViceCharge2_c varchar(100);
alter table t_CustomerInfo_mapp add Filler1 varchar(200);
alter table t_CustomerInfo_mapp add Filler2 varchar(200);

alter table t_CustomerInfo_mapp add Score varchar(50);


